<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     SPB: Smart PostBit
 *
 */

if (!defined('ELK'))
	die('No access...');

function SmartPostBit_Main()
{
	global $context, $modSettings, $settings, $options;
	
	// Load the language
	loadLanguage('SPB');

	// Add CSS
	if (!empty($modSettings['spb_enable']) && empty($options['hide_poster_area'])) {
	$context['html_headers'] .= '<link rel="stylesheet" type="text/css" href="' . $settings['default_theme_url']. '/addons/css/SPB.styles.css?fin10" />';
	}
}

function SmartPostBit_Settings(&$config_vars)
{
	global $txt;

	// Load the language
	loadLanguage('SPB');

	$spb = array(
			// Add SmartPostBit Settings
			array('check', 'spb_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $spb);
}

?>